Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Person.AgeRange

implements Freezable<T>

com.google.android.gms.plus.model.people.Person.AgeRange

## Class Overview

The age range of the person.

## Summary

Public Methods
abstract int | getMax() The age range's upper bound, if any.
abstract int | getMin() The age range's lower bound, if any.
abstract boolean | hasMax() Indicates whether the "max" field is explicitly set to a value.
abstract boolean | hasMin() Indicates whether the "min" field is explicitly set to a value.

[Expand] Inherited Methods

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Public Methods

#### public abstract int getMax ()

The age range's upper bound, if any.

#### public abstract int getMin ()

The age range's lower bound, if any.

#### public abstract boolean hasMax ()

Indicates whether the "max" field is explicitly set to a value.

#### public abstract boolean hasMin ()

Indicates whether the "min" field is explicitly set to a value.